Subject: Re: bug#22294: Generating Edebug names for generic methods

From: Dmitry Gutov <[email-masked]>
Date: Sun, 14 May 2017 04:17:47 +0300

On 13.05.2017 23:58, Gemini Lasswell wrote:

> It works in my testing too. Here's a revised version of the patch with
> your changes incorporated and a couple of other changes too.

Thanks! I'll push this version shortly.

> Since a
> method's argument list is supposed to be a list but not nil, I changed
> the test for a valid one from listp to consp.

Like mentioned, nil arguments list also works (in Emacs but not in 
CLOS). If people prefer this possibility is not used, though, that's 
fine by me.

> I also changed the names of method-args and edebug-match-method-args to
> cl-generic-method-args and edebug-match-cl-generic-method-args to better
> associate them with the code that uses them, and to avoid the idea that
> this might be new Edebug specification list functionality that should
> really be documented.

Sounds good.